<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Mac::Blacklist Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d4/db9/classThread_1_1Mac_1_1Blacklist.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../dc/df3/classThread_1_1Mac_1_1Blacklist-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Mac::Blacklist Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../df/d5c/group__core-mac.html">MAC</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements blacklist filtering on IEEE 802.15.4 frames.  
 <a href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../de/d6e/mac__blacklist_8hpp_source.html">src/core/mac/mac_blacklist.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a4615e6032815c215f87c122e2dfc9c65"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4615e6032815c215f87c122e2dfc9c65"></a>enum &#160;</td><td class="memItemRight" valign="bottom">{ <b>kMaxEntries</b> = 32
 }</td></tr>
<tr class="separator:a4615e6032815c215f87c122e2dfc9c65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74d89f7bd1a6c9a87bfca0902d70245b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74d89f7bd1a6c9a87bfca0902d70245b"></a>
typedef <a class="el" href="../../d3/d5f/structotMacBlacklistEntry.html">otMacBlacklistEntry</a>&#160;</td><td class="memItemRight" valign="bottom"><b>Entry</b></td></tr>
<tr class="separator:a74d89f7bd1a6c9a87bfca0902d70245b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9b2195b53abab8081a4a65bb92f5bf5f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b2195b53abab8081a4a65bb92f5bf5f"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#a9b2195b53abab8081a4a65bb92f5bf5f">Blacklist</a> (void)</td></tr>
<tr class="memdesc:a9b2195b53abab8081a4a65bb92f5bf5f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the blacklist filter. <br /></td></tr>
<tr class="separator:a9b2195b53abab8081a4a65bb92f5bf5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c03591ef519616f1f00d009b384c83e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c03591ef519616f1f00d009b384c83e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#a7c03591ef519616f1f00d009b384c83e">Enable</a> (void)</td></tr>
<tr class="memdesc:a7c03591ef519616f1f00d009b384c83e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method enables the blacklist filter. <br /></td></tr>
<tr class="separator:a7c03591ef519616f1f00d009b384c83e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dc92a1835f845ca83a1cc44e9dba891"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1dc92a1835f845ca83a1cc44e9dba891"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#a1dc92a1835f845ca83a1cc44e9dba891">Disable</a> (void)</td></tr>
<tr class="memdesc:a1dc92a1835f845ca83a1cc44e9dba891"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method disables the blacklist filter. <br /></td></tr>
<tr class="separator:a1dc92a1835f845ca83a1cc44e9dba891"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a269d89343e4dd874d7c59bc1946cc9ac"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#a269d89343e4dd874d7c59bc1946cc9ac">IsEnabled</a> (void) const </td></tr>
<tr class="memdesc:a269d89343e4dd874d7c59bc1946cc9ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the blacklist filter is enabled.  <a href="#a269d89343e4dd874d7c59bc1946cc9ac">More...</a><br /></td></tr>
<tr class="separator:a269d89343e4dd874d7c59bc1946cc9ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb457b5ff5e2bf6da233aef274775e07"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#abb457b5ff5e2bf6da233aef274775e07">GetMaxEntries</a> (void) const </td></tr>
<tr class="memdesc:abb457b5ff5e2bf6da233aef274775e07"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the maximum number of blacklist entries.  <a href="#abb457b5ff5e2bf6da233aef274775e07">More...</a><br /></td></tr>
<tr class="separator:abb457b5ff5e2bf6da233aef274775e07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf96e7ae9e1d16554b793867f114f6b6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#adf96e7ae9e1d16554b793867f114f6b6">GetEntry</a> (uint8_t aIndex, <a class="el" href="../../d3/d5f/structotMacBlacklistEntry.html">Entry</a> &amp;aEntry) const </td></tr>
<tr class="memdesc:adf96e7ae9e1d16554b793867f114f6b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method gets a blacklist entry.  <a href="#adf96e7ae9e1d16554b793867f114f6b6">More...</a><br /></td></tr>
<tr class="separator:adf96e7ae9e1d16554b793867f114f6b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7858cde03a7cd4dfeda2dacc68885f4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d5f/structotMacBlacklistEntry.html">Entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#af7858cde03a7cd4dfeda2dacc68885f4">Add</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;aAddress)</td></tr>
<tr class="memdesc:af7858cde03a7cd4dfeda2dacc68885f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the blacklist filter.  <a href="#af7858cde03a7cd4dfeda2dacc68885f4">More...</a><br /></td></tr>
<tr class="separator:af7858cde03a7cd4dfeda2dacc68885f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade6798da8a38453620fd0d5b4e4adc99"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#ade6798da8a38453620fd0d5b4e4adc99">Remove</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;aAddress)</td></tr>
<tr class="memdesc:ade6798da8a38453620fd0d5b4e4adc99"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the blacklist filter.  <a href="#ade6798da8a38453620fd0d5b4e4adc99">More...</a><br /></td></tr>
<tr class="separator:ade6798da8a38453620fd0d5b4e4adc99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afed00b8cfd28a81ed41f72428a7c43a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afed00b8cfd28a81ed41f72428a7c43a0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#afed00b8cfd28a81ed41f72428a7c43a0">Clear</a> (void)</td></tr>
<tr class="memdesc:afed00b8cfd28a81ed41f72428a7c43a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes all entries from the blacklist filter. <br /></td></tr>
<tr class="separator:afed00b8cfd28a81ed41f72428a7c43a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa72e97964846b2c9b73d7bf31a81371"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d5f/structotMacBlacklistEntry.html">Entry</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#afa72e97964846b2c9b73d7bf31a81371">Find</a> (const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;aAddress)</td></tr>
<tr class="memdesc:afa72e97964846b2c9b73d7bf31a81371"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method finds a blacklist entry.  <a href="#afa72e97964846b2c9b73d7bf31a81371">More...</a><br /></td></tr>
<tr class="separator:afa72e97964846b2c9b73d7bf31a81371"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements blacklist filtering on IEEE 802.15.4 frames. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="af7858cde03a7cd4dfeda2dacc68885f4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d5f/structotMacBlacklistEntry.html">Blacklist::Entry</a> * Thread::Mac::Blacklist::Add </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method adds an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the blacklist filter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A reference to the Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the blacklist entry or NULL if there are no available entries. </dd></dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_cgraph.png" border="0" usemap="#d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_cgraph" alt=""/></div>
<map name="d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_cgraph" id="d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_cgraph">
<area shape="rect" id="node2" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#afa72e97964846b2c9b73d7bf31a81371" title="This method finds a blacklist entry. " alt="" coords="237,5,389,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_icgraph.png" border="0" usemap="#d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_icgraph" alt=""/></div>
<map name="d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_icgraph" id="d4/db9/classThread_1_1Mac_1_1Blacklist_af7858cde03a7cd4dfeda2dacc68885f4_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#gab0d9fb8396e6e31fd0a7df654b192d2e" title="Add an IEEE 802.15.4 Extended Address to the MAC blacklist. " alt="" coords="237,12,367,37"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="415,5,571,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="afa72e97964846b2c9b73d7bf31a81371"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d5f/structotMacBlacklistEntry.html">Blacklist::Entry</a> * Thread::Mac::Blacklist::Find </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method finds a blacklist entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A reference to the Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the blacklist entry or NULL if the entry could not be found. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/db9/classThread_1_1Mac_1_1Blacklist_afa72e97964846b2c9b73d7bf31a81371_icgraph.png" border="0" usemap="#d4/db9/classThread_1_1Mac_1_1Blacklist_afa72e97964846b2c9b73d7bf31a81371_icgraph" alt=""/></div>
<map name="d4/db9/classThread_1_1Mac_1_1Blacklist_afa72e97964846b2c9b73d7bf31a81371_icgraph" id="d4/db9/classThread_1_1Mac_1_1Blacklist_afa72e97964846b2c9b73d7bf31a81371_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a1b58865279aa421b1da0a665a6260e1d" title="This method is called to handle receive events. " alt="" coords="206,5,390,44"/>
<area shape="rect" id="node4" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#af7858cde03a7cd4dfeda2dacc68885f4" title="This method adds an Extended Address to the blacklist filter. " alt="" coords="206,68,390,93"/>
<area shape="rect" id="node7" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#ade6798da8a38453620fd0d5b4e4adc99" title="This method removes an Extended Address to the blacklist filter. " alt="" coords="222,117,374,156"/>
<area shape="rect" id="node3" href="../../d7/d9c/group__radio-operation.html#ga75836c10d52472c0dfca98f490c4a5f7" title="The radio driver calls this method to notify OpenThread of a received packet. " alt="" coords="438,12,608,37"/>
<area shape="rect" id="node5" href="../../db/d57/group__config-test.html#gab0d9fb8396e6e31fd0a7df654b192d2e" title="Add an IEEE 802.15.4 Extended Address to the MAC blacklist. " alt="" coords="458,71,588,96"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="656,89,812,128"/>
<area shape="rect" id="node8" href="../../db/d57/group__config-test.html#gab77d4dd58c6604d5041958520d563733" title="Remove an IEEE 802.15.4 Extended Address from the MAC blacklist. " alt="" coords="445,121,601,147"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="adf96e7ae9e1d16554b793867f114f6b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Mac::Blacklist::GetEntry </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d3/d5f/structotMacBlacklistEntry.html">Entry</a> &amp;&#160;</td>
          <td class="paramname"><em>aEntry</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method gets a blacklist entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aIndex</td><td>An index into the MAC blacklist table. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">aEntry</td><td>A reference to where the information is placed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully retrieved the MAC blacklist entry. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aIndex</code> is out of bounds or <code>aEntry</code> is NULL. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/db9/classThread_1_1Mac_1_1Blacklist_adf96e7ae9e1d16554b793867f114f6b6_icgraph.png" border="0" usemap="#d4/db9/classThread_1_1Mac_1_1Blacklist_adf96e7ae9e1d16554b793867f114f6b6_icgraph" alt=""/></div>
<map name="d4/db9/classThread_1_1Mac_1_1Blacklist_adf96e7ae9e1d16554b793867f114f6b6_icgraph" id="d4/db9/classThread_1_1Mac_1_1Blacklist_adf96e7ae9e1d16554b793867f114f6b6_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#gaecffe6ce8c6806a55257e983abd870c3" title="This function gets a MAC Blacklist entry. " alt="" coords="206,12,365,37"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="413,5,568,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="abb457b5ff5e2bf6da233aef274775e07"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Thread::Mac::Blacklist::GetMaxEntries </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns the maximum number of blacklist entries. </p>
<dl class="section return"><dt>Returns</dt><dd>The maximum number of blacklist entries. </dd></dl>

</div>
</div>
<a class="anchor" id="a269d89343e4dd874d7c59bc1946cc9ac"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Mac::Blacklist::IsEnabled </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method indicates whether or not the blacklist filter is enabled. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the blacklist filter is enabled. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the blacklist filter is disabled. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/db9/classThread_1_1Mac_1_1Blacklist_a269d89343e4dd874d7c59bc1946cc9ac_icgraph.png" border="0" usemap="#d4/db9/classThread_1_1Mac_1_1Blacklist_a269d89343e4dd874d7c59bc1946cc9ac_icgraph" alt=""/></div>
<map name="d4/db9/classThread_1_1Mac_1_1Blacklist_a269d89343e4dd874d7c59bc1946cc9ac_icgraph" id="d4/db9/classThread_1_1Mac_1_1Blacklist_a269d89343e4dd874d7c59bc1946cc9ac_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#a1b58865279aa421b1da0a665a6260e1d" title="This method is called to handle receive events. " alt="" coords="206,5,390,44"/>
<area shape="rect" id="node4" href="../../db/d57/group__config-test.html#ga49e6b75922da6616d37fe375d7d1ccdc" title="This function indicates whether or not the MAC Blacklist is enabled. " alt="" coords="215,68,381,93"/>
<area shape="rect" id="node3" href="../../d7/d9c/group__radio-operation.html#ga75836c10d52472c0dfca98f490c4a5f7" title="The radio driver calls this method to notify OpenThread of a received packet. " alt="" coords="438,12,608,37"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="446,61,601,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ade6798da8a38453620fd0d5b4e4adc99"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Mac::Blacklist::Remove </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/d3c/classThread_1_1Mac_1_1ExtAddress.html">ExtAddress</a> &amp;&#160;</td>
          <td class="paramname"><em>aAddress</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method removes an Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a> to the blacklist filter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A reference to the Extended <a class="el" href="../../dd/dcd/structThread_1_1Mac_1_1Address.html" title="This structure represents an IEEE 802.15.4 Short or Extended Address. ">Address</a>. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_cgraph.png" border="0" usemap="#d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_cgraph" alt=""/></div>
<map name="d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_cgraph" id="d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_cgraph">
<area shape="rect" id="node2" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html#afa72e97964846b2c9b73d7bf31a81371" title="This method finds a blacklist entry. " alt="" coords="206,5,358,44"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_icgraph.png" border="0" usemap="#d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_icgraph" alt=""/></div>
<map name="d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_icgraph" id="d4/db9/classThread_1_1Mac_1_1Blacklist_ade6798da8a38453620fd0d5b4e4adc99_icgraph">
<area shape="rect" id="node2" href="../../db/d57/group__config-test.html#gab77d4dd58c6604d5041958520d563733" title="Remove an IEEE 802.15.4 Extended Address from the MAC blacklist. " alt="" coords="206,12,362,37"/>
<area shape="rect" id="node3" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="410,5,565,44"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/core/mac/<a class="el" href="../../de/d6e/mac__blacklist_8hpp_source.html">mac_blacklist.hpp</a></li>
<li>src/core/mac/<a class="el" href="../../d2/d15/mac__blacklist_8cpp.html">mac_blacklist.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>Mac</b></li><li class="navelem"><a class="el" href="../../d4/db9/classThread_1_1Mac_1_1Blacklist.html">Blacklist</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
